### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
SwapIndex Class Reference

base class for swap-rate indexes More...

`#include <ql/indexes/swapindex.hpp>`

Inheritance diagram for SwapIndex:
[legend]

List of all members.

## Public Member Functions

| SwapIndex (const std::string &familyName, const Period &tenor, Natural settlementDays, Currency currency, const Calendar &calendar, const Period &fixedLegTenor, BusinessDayConvention fixedLegConvention, const DayCounter &fixedLegDayCounter, const boost::shared_ptr< IborIndex > &iborIndex)
| SwapIndex (const std::string &familyName, const Period &tenor, Natural settlementDays, Currency currency, const Calendar &calendar, const Period &fixedLegTenor, BusinessDayConvention fixedLegConvention, const DayCounter &fixedLegDayCounter, const boost::shared_ptr< IborIndex > &iborIndex, const Handle< YieldTermStructure > &discountingTermStructure)
InterestRateIndex interface
Date | maturityDate (const Date &valueDate) const
Inspectors
Period | fixedLegTenor () const
BusinessDayConvention | fixedLegConvention () const
boost::shared_ptr< IborIndex > | iborIndex () const
Handle< YieldTermStructure > | forwardingTermStructure () const
Handle< YieldTermStructure > | discountingTermStructure () const
bool | exogenousDiscount () const
boost::shared_ptr< VanillaSwap > | underlyingSwap (const Date &fixingDate) const
Other methods
virtual boost::shared_ptr < SwapIndex > | clone (const Handle< YieldTermStructure > &forwarding) const
| returns a copy of itself linked to a different forwarding curve

## Protected Member Functions

Rate | forecastFixing (const Date &fixingDate) const
| It can be overridden to implement particular conventions.

## Protected Attributes

Period | tenor_
boost::shared_ptr< IborIndex > | iborIndex_
Period | fixedLegTenor_
BusinessDayConvention | fixedLegConvention_
bool | exogenousDiscount_
Handle< YieldTermStructure > | discount_
boost::shared_ptr< VanillaSwap > | lastSwap_
Date | lastFixingDate_

## Detailed Description

base class for swap-rate indexes

## Member Function Documentation

boost::shared_ptr<VanillaSwap> underlyingSwap | ( | const Date & | fixingDate | ) | const

Warning:
  Relinking the term structure underlying the index will not have effect on the returned swap.

Reimplemented in OvernightIndexedSwapIndex.